<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__ble__common__api__definitions" kind="group">
    <compoundname>group_ble_common_api_definitions</compoundname>
    <title>Common</title>
    <innerclass prot="public" refid="structcy__stc__ble__stack__lib__version__t">cy_stc_ble_stack_lib_version_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__ble__bd__addr__t">cy_stc_ble_bd_addr_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__ble__dle__config__param__t">cy_stc_ble_dle_config_param_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__ble__l2cap__config__param__t">cy_stc_ble_l2cap_config_param_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__ble__privacy__1__2__config__param__t">cy_stc_ble_privacy_1_2_config_param_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__ble__bonded__device__list__config__param__t">cy_stc_ble_bonded_device_list_config_param_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__ble__white__list__config__param__t">cy_stc_ble_white_list_config_param_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__ble__mxd__pa__cal__param__t">cy_stc_ble_mxd_pa_cal_param_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__ble__stack__config__param__t">cy_stc_ble_stack_config_param_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__ble__stk__app__data__buff__t">cy_stc_ble_stk_app_data_buff_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__ble__conn__estb__param__t">cy_stc_ble_conn_estb_param_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__ble__stack__mgr__mem__cfg__param__t">cy_stc_ble_stack_mgr_mem_cfg_param_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__ble__stack__init__info__t">cy_stc_ble_stack_init_info_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__ble__aes__cmac__generate__param__t">cy_stc_ble_aes_cmac_generate_param_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__ble__bless__clk__cfg__params__t">cy_stc_ble_bless_clk_cfg_params_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__ble__hci__tx__packet__info__t">cy_stc_ble_hci_tx_packet_info_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__ble__bd__addrs__t">cy_stc_ble_bd_addrs_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__ble__conn__handle__t">cy_stc_ble_conn_handle_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__ble__stack__flash__param__t">cy_stc_ble_stack_flash_param_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__ble__timer__info__t">cy_stc_ble_timer_info_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__ble__stack__random__num__param__t">cy_stc_ble_stack_random_num_param_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__ble__tx__pwr__config__param__t">cy_stc_ble_tx_pwr_config_param_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__ble__tx__pwr__lvl__info__t">cy_stc_ble_tx_pwr_lvl_info_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__ble__rssi__info__t">cy_stc_ble_rssi_info_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__ble__aes__encrypt__info__t">cy_stc_ble_aes_encrypt_info_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__ble__aes__ccm__encrypt__info__t">cy_stc_ble_aes_ccm_encrypt_info_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__ble__aes__ccm__decrypt__info__t">cy_stc_ble_aes_ccm_decrypt_info_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__ble__auth__payload__info__t">cy_stc_ble_auth_payload_info_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__ble__slave__latency__info__t">cy_stc_ble_slave_latency_info_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__ble__set__data__length__info__t">cy_stc_ble_set_data_length_info_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__ble__suggested__data__length__info__t">cy_stc_ble_suggested_data_length_info_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__ble__channel__map__info__t">cy_stc_ble_channel_map_info_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__ble__resolving__device__info__t">cy_stc_ble_resolving_device_info_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__ble__privacy__mode__info__t">cy_stc_ble_privacy_mode_info_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__ble__peer__id__addr__t">cy_stc_ble_peer_id_addr_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__ble__set__phy__info__t">cy_stc_ble_set_phy_info_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__ble__set__suggested__phy__info__t">cy_stc_ble_set_suggested_phy_info_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__ble__data__length__param__t">cy_stc_ble_data_length_param_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__ble__data__length__change__event__param__t">cy_stc_ble_data_length_change_event_param_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__ble__memory__request__t">cy_stc_ble_memory_request_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__ble__aes__ccm__param__t">cy_stc_ble_aes_ccm_param_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__ble__timeout__param__t">cy_stc_ble_timeout_param_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__ble__events__param__generic__t">cy_stc_ble_events_param_generic_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__ble__phy__param__t">cy_stc_ble_phy_param_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__ble__ll__cntrl__proc__param__t">cy_stc_ble_ll_cntrl_proc_param_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__ble__white__list__t">cy_stc_ble_white_list_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__ble__white__list__retention__t">cy_stc_ble_white_list_retention_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__ble__rpa__list__info__t">cy_stc_ble_rpa_list_info_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__ble__resolving__list__retention__t">cy_stc_ble_resolving_list_retention_t</innerclass>
      <sectiondef kind="enum">
      <memberdef id="group__group__ble__common__api__definitions_1ga716607fd63ab34c49af7a84e76239640" kind="enum" prot="public" static="no">
        <name>cy_en_ble_interrupt_callback_feature_t</name>
        <enumvalue id="group__group__ble__common__api__definitions_1gga716607fd63ab34c49af7a84e76239640a2ee81f20070fe58e4b66675c8aac8b24" prot="public">
          <name>CY_BLE_INTR_CALLBACK_NONE</name>
          <initializer>= (0x00)</initializer>
          <briefdescription>
<para>Interrupt callback feature is disabled. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__common__api__definitions_1gga716607fd63ab34c49af7a84e76239640ab5f5b115c17e4d4fe05fe0f91b054c92" prot="public">
          <name>CY_BLE_INTR_CALLBACK_BLESS_STACK_ISR</name>
          <initializer>= (0x01UL &lt;&lt; 1u)</initializer>
          <briefdescription>
<para>Executed on every trigger of BLESS interrupt. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__common__api__definitions_1gga716607fd63ab34c49af7a84e76239640ac09a2259a9ca2e96d6b28eee2518af6e" prot="public">
          <name>CY_BLE_INTR_CALLBACK_BLESS_INTR_STAT_DSM_EXITED</name>
          <initializer>= (0x01UL &lt;&lt; 2u)</initializer>
          <briefdescription>
<para>Executed when the BLESS exits BLESS deep sleep mode and enters BLESS active mode. </para>          </briefdescription>
          <detaileddescription>
<para>BLESS deep sleep exit can be triggered automatically by link layer hardware or by different BLE_PDL data transfer APIs that need BLESS to be active. </para>          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__common__api__definitions_1gga716607fd63ab34c49af7a84e76239640ac5c608bc7aabec594c2cc28afe2db59c" prot="public">
          <name>CY_BLE_INTR_CALLBACK_BLELL_CONN_EXT_INTR_EARLY</name>
          <initializer>= (0x01UL &lt;&lt; 3u)</initializer>
          <briefdescription>
<para>Executed when the BLESS connection engine in slave mode detects a BLE packet that matches its access address. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__common__api__definitions_1gga716607fd63ab34c49af7a84e76239640a5b5ae742ff7b49a93bbb57b5a62ba0e1" prot="public">
          <name>CY_BLE_INTR_CALLBACK_BLELL_CONN_INTR_CE_RX</name>
          <initializer>= (0x01UL &lt;&lt; 4u)</initializer>
          <briefdescription>
<para>Executed when the BLESS connection engine receives a non-empty packet from the peer device. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__common__api__definitions_1gga716607fd63ab34c49af7a84e76239640a1238c71cc83e078eeef95cdf2b3f9192" prot="public">
          <name>CY_BLE_INTR_CALLBACK_BLELL_CONN_INTR_CE_TX_ACK</name>
          <initializer>= (0x01UL &lt;&lt; 5u)</initializer>
          <briefdescription>
<para>Executed when the BLESS connection engine receives an ACK packet from the peer device for the previously transmitted packet. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__common__api__definitions_1gga716607fd63ab34c49af7a84e76239640a00195f560dbd8d6fb8f16d9b03550868" prot="public">
          <name>CY_BLE_INTR_CALLBACK_BLELL_CONN_INTR_CLOSE_CE</name>
          <initializer>= (0x01UL &lt;&lt; 6u)</initializer>
          <briefdescription>
<para>Executed when the BLESS connection engine closes the connection event. </para>          </briefdescription>
          <detaileddescription>
<para>This interrupt will be executed on every connection interval for a connection, irrespective of data tx/rx state. </para>          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__common__api__definitions_1gga716607fd63ab34c49af7a84e76239640a4629f92bac3ac3174c849a9448822e50" prot="public">
          <name>CY_BLE_INTR_CALLBACK_BLESS_INTR_STAT_DSM_ENTERED</name>
          <initializer>= (0x01UL &lt;&lt; 7u)</initializer>
          <briefdescription>
<para>Executed when the BLESS enters deep sleep mode. </para>          </briefdescription>
          <detaileddescription>
<para>User call to Cy_SysPm_DeepSleep API will trigger BLESS deep sleep entry sequence. </para>          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__common__api__definitions_1gga716607fd63ab34c49af7a84e76239640a066c9106f98b4c58bd2bddb230fae58f" prot="public">
          <name>CY_BLE_INTR_CALLBACK_BLELL_SCAN_INTR_ADV_RX</name>
          <initializer>=  (0x01UL &lt;&lt; 8u)</initializer>
          <briefdescription>
<para>Executed when the BLESS scan engine receives an advertisement packet from the peer device. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__common__api__definitions_1gga716607fd63ab34c49af7a84e76239640aad87a79b003f85f1d3628b0a5737743a" prot="public">
          <name>CY_BLE_INTR_CALLBACK_BLELL_SCAN_INTR_SCAN_RSP_RX</name>
          <initializer>= (0x01UL &lt;&lt; 9u)</initializer>
          <briefdescription>
<para>Executed when the BLESS scan engine receives a scan response packet from the peer device in response to a scan request from the scanner. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__common__api__definitions_1gga716607fd63ab34c49af7a84e76239640a12ddbe831b8c5bfb52e84eeec59aff85" prot="public">
          <name>CY_BLE_INTR_CALLBACK_BLELL_ADV_INTR_CONN_REQ_RX</name>
          <initializer>= (0x01UL &lt;&lt; 10UL)</initializer>
          <briefdescription>
<para>Executed when the BLESS advertisement engine receives a connection request from the peer central device. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_ble_interrupt_callback_feature_t: </bold><linebreak />Interrupt callback feature.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="161" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble.h" bodystart="107" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble.h" line="108" />
      </memberdef>
      <memberdef id="group__group__ble__common__api__definitions_1ga63f6be7f53f5ad7d82c394e4cdfa619e" kind="enum" prot="public" static="no">
        <name>cy_en_ble_api_result_t</name>
        <enumvalue id="group__group__ble__common__api__definitions_1gga63f6be7f53f5ad7d82c394e4cdfa619ea26e476ee364252903ce212deeb6ec064" prot="public">
          <name>CY_BLE_SUCCESS</name>
          <initializer>= CY_PDL_STATUS_INFO</initializer>
          <briefdescription>
<para>No Error occurred. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__common__api__definitions_1gga63f6be7f53f5ad7d82c394e4cdfa619eabd2cff91fde7cf2049c4d48753731535" prot="public">
          <name>CY_BLE_INFO_FLASH_WRITE_IN_PROGRESS</name>
          <initializer>= CY_PDL_STATUS_INFO | CY_BLE_ID | 0x0001ul</initializer>
          <briefdescription>
<para>Flash operation in progress. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__common__api__definitions_1gga63f6be7f53f5ad7d82c394e4cdfa619ea07c8ae81c24f44ec6c40da361abe7102" prot="public">
          <name>CY_BLE_ERROR_INVALID_PARAMETER</name>
          <initializer>= CY_PDL_STATUS_ERROR | CY_BLE_ID | 0x0001ul</initializer>
          <briefdescription>
<para>At least one of the input parameters is invalid. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__common__api__definitions_1gga63f6be7f53f5ad7d82c394e4cdfa619ea8f00d17adbc867504dc0789611dd3583" prot="public">
          <name>CY_BLE_ERROR_INVALID_OPERATION</name>
          <briefdescription>
<para>Operation is not permitted. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__common__api__definitions_1gga63f6be7f53f5ad7d82c394e4cdfa619ea6a9ce58a3888fa81dea2199a35a036af" prot="public">
          <name>CY_BLE_ERROR_MEMORY_ALLOCATION_FAILED</name>
          <briefdescription>
<para>An internal error occurred in the BLE Stack. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__common__api__definitions_1gga63f6be7f53f5ad7d82c394e4cdfa619ea4fe058330793fa00e6cc01696a8d5584" prot="public">
          <name>CY_BLE_ERROR_INSUFFICIENT_RESOURCES</name>
          <briefdescription>
<para>Insufficient resources to perform requested operation. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__common__api__definitions_1gga63f6be7f53f5ad7d82c394e4cdfa619ea640b8fd6d7ab3dfc9b3eb628926559f2" prot="public">
          <name>CY_BLE_ERROR_OOB_NOT_AVAILABLE</name>
          <briefdescription>
<para>OOB data not available. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__common__api__definitions_1gga63f6be7f53f5ad7d82c394e4cdfa619ea0ae91e656c617649c7167aafc31aa1e4" prot="public">
          <name>CY_BLE_ERROR_NO_CONNECTION</name>
          <briefdescription>
<para>Connection is required to perform requested operation. </para>          </briefdescription>
          <detaileddescription>
<para>Connection not present </para>          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__common__api__definitions_1gga63f6be7f53f5ad7d82c394e4cdfa619ea23ed954fa24d628fd83f034c81a07a9f" prot="public">
          <name>CY_BLE_ERROR_NO_DEVICE_ENTITY</name>
          <briefdescription>
<para>No device entity to perform requested operation. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__common__api__definitions_1gga63f6be7f53f5ad7d82c394e4cdfa619eaa7afe3f582c573094264acdbbb6a9744" prot="public">
          <name>CY_BLE_ERROR_DEVICE_ALREADY_EXISTS</name>
          <briefdescription>
<para>Device cannot be added to the White List as it has already been added. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__common__api__definitions_1gga63f6be7f53f5ad7d82c394e4cdfa619ea0f209c82233ab125971ccd6a630887e6" prot="public">
          <name>CY_BLE_ERROR_REPEATED_ATTEMPTS</name>
          <briefdescription>
<para>Attempted repeat operation is not allowed. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__common__api__definitions_1gga63f6be7f53f5ad7d82c394e4cdfa619eaa5be48c0b236127473ee2343ceba83cf" prot="public">
          <name>CY_BLE_ERROR_GAP_ROLE</name>
          <briefdescription>
<para>GAP role is incorrect. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__common__api__definitions_1gga63f6be7f53f5ad7d82c394e4cdfa619ea49ad2802e12760dce94526f9dfc11de7" prot="public">
          <name>CY_BLE_ERROR_SEC_FAILED</name>
          <briefdescription>
<para>Security operation failed. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__common__api__definitions_1gga63f6be7f53f5ad7d82c394e4cdfa619ea547809a290fe1916bb379bc74ef8228b" prot="public">
          <name>CY_BLE_ERROR_L2CAP_PSM_WRONG_ENCODING</name>
          <briefdescription>
<para>L2CAP PSM encoding is incorrect. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__common__api__definitions_1gga63f6be7f53f5ad7d82c394e4cdfa619ea1542032fafda3f23551498e2eb7834f1" prot="public">
          <name>CY_BLE_ERROR_L2CAP_PSM_ALREADY_REGISTERED</name>
          <briefdescription>
<para>L2CAP PSM has already been registered. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__common__api__definitions_1gga63f6be7f53f5ad7d82c394e4cdfa619eac9123c0373869ab8cdf7bc805bd2f2ad" prot="public">
          <name>CY_BLE_ERROR_L2CAP_PSM_NOT_REGISTERED</name>
          <briefdescription>
<para>L2CAP PSM has not been registered. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__common__api__definitions_1gga63f6be7f53f5ad7d82c394e4cdfa619ea87ea08b8b2ef5f7eb48ace1411ad5a33" prot="public">
          <name>CY_BLE_ERROR_L2CAP_CONNECTION_ENTITY_NOT_FOUND</name>
          <briefdescription>
<para>L2CAP connection entity not found. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__common__api__definitions_1gga63f6be7f53f5ad7d82c394e4cdfa619ea4d866d5d597fa711f05d1653554caefe" prot="public">
          <name>CY_BLE_ERROR_L2CAP_PSM_NOT_IN_RANGE</name>
          <briefdescription>
<para>Specified PSM is out of range. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__common__api__definitions_1gga63f6be7f53f5ad7d82c394e4cdfa619ea392df4bce158e838f26e6ae386d659b8" prot="public">
          <name>CY_BLE_ERROR_UNSUPPORTED_FEATURE_OR_PARAMETER_VALUE</name>
          <briefdescription>
<para>Unsupported feature or parameter value. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__common__api__definitions_1gga63f6be7f53f5ad7d82c394e4cdfa619eae80e20eb8fbdf6a8acc06294e8593bf0" prot="public">
          <name>CY_BLE_ERROR_FLASH_WRITE_NOT_PERMITED</name>
          <briefdescription>
<para>Write to Flash is not permitted. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__common__api__definitions_1gga63f6be7f53f5ad7d82c394e4cdfa619ead6345a6590e2b6ed8f9fbf44fa1b4082" prot="public">
          <name>CY_BLE_ERROR_FLASH_WRITE</name>
          <briefdescription>
<para>Error in Flash write. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__common__api__definitions_1gga63f6be7f53f5ad7d82c394e4cdfa619eae4278916ff107386aaf974863ec62246" prot="public">
          <name>CY_BLE_ERROR_MIC_AUTH_FAILED</name>
          <briefdescription>
<para>MIC Authentication failure. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__common__api__definitions_1gga63f6be7f53f5ad7d82c394e4cdfa619ea0cd4a4f450d7055d8eacc3ad3a488705" prot="public">
          <name>CY_BLE_ERROR_HARDWARE_FAILURE</name>
          <briefdescription>
<para>Hardware Failure. </para>          </briefdescription>
          <detaileddescription>
<para>Possible reason - BLE ECO failed to start due to one of the below:<itemizedlist>
<listitem><para>LFCLK (WCO, PILO, ILO) not present</para></listitem><listitem><para>Radio bus failure </para></listitem></itemizedlist>
</para>          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__common__api__definitions_1gga63f6be7f53f5ad7d82c394e4cdfa619ea1f79bd442bc3d47adfc5d7102d40bb25" prot="public">
          <name>CY_BLE_ERROR_GATT_DB_INVALID_ATTR_HANDLE</name>
          <briefdescription>
<para>GATT DB error codes. </para>          </briefdescription>
          <detaileddescription>
<para>Invalid attribute handle </para>          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__common__api__definitions_1gga63f6be7f53f5ad7d82c394e4cdfa619ea7b0f53cfff610c586baa1ec954b4b106" prot="public">
          <name>CY_BLE_ERROR_NTF_DISABLED</name>
          <briefdescription>
<para>Characteristic notifications disabled. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__common__api__definitions_1gga63f6be7f53f5ad7d82c394e4cdfa619eabc17e8842ce24227ce2b4d0fc50e3af3" prot="public">
          <name>CY_BLE_ERROR_IND_DISABLED</name>
          <briefdescription>
<para>Characteristic indications disabled. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__common__api__definitions_1gga63f6be7f53f5ad7d82c394e4cdfa619eadbb3b0444c365ebdf05fd1483c2880da" prot="public">
          <name>CY_BLE_ERROR_CONTROLLER_BUSY</name>
          <initializer>= CY_PDL_STATUS_ERROR | CY_BLE_ID | 0x00FEul</initializer>
          <briefdescription>
<para>Controller Busy. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__common__api__definitions_1gga63f6be7f53f5ad7d82c394e4cdfa619ea451ea953a2bd588bb19cd29f234e6b8a" prot="public">
          <name>CY_BLE_ERROR_INVALID_STATE</name>
          <briefdescription>
<para>The state is not valid for current operation. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__common__api__definitions_1gga63f6be7f53f5ad7d82c394e4cdfa619ea8403c5da561203f34699017f829ea15d" prot="public">
          <name>CY_BLE_ERROR_MAX</name>
          <initializer>= CY_PDL_STATUS_ERROR | CY_BLE_ID | 0xFFFFul</initializer>
          <briefdescription>
<para>All other errors not covered in the above list map to this error code. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_ble_api_result_t: </bold><linebreak />Common error codes received as API result.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="1347" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack.h" bodystart="1247" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack.h" line="1248" />
      </memberdef>
      <memberdef id="group__group__ble__common__api__definitions_1ga91c0e65f1a3de88eb7065a298981a214" kind="enum" prot="public" static="no">
        <name>cy_en_ble_bless_pwr_lvl_t</name>
        <enumvalue id="group__group__ble__common__api__definitions_1gga91c0e65f1a3de88eb7065a298981a214a55234da879044212d6846fa018b690c0" prot="public">
          <name>CY_BLE_LL_PWR_LVL_NEG_20_DBM</name>
          <initializer>= -20</initializer>
          <briefdescription>
<para>ABS PWR = -20 dBm. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__common__api__definitions_1gga91c0e65f1a3de88eb7065a298981a214a5942d76e78c35549d83253b0ee227758" prot="public">
          <name>CY_BLE_LL_PWR_LVL_NEG_16_DBM</name>
          <initializer>= -16</initializer>
          <briefdescription>
<para>ABS PWR = -16 dBm. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__common__api__definitions_1gga91c0e65f1a3de88eb7065a298981a214aa4d9a051038e6f8557effe61d82909f8" prot="public">
          <name>CY_BLE_LL_PWR_LVL_NEG_12_DBM</name>
          <initializer>= -12</initializer>
          <briefdescription>
<para>ABS PWR = -12 dBm. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__common__api__definitions_1gga91c0e65f1a3de88eb7065a298981a214ace67fd16ce3c383672dbddded51318aa" prot="public">
          <name>CY_BLE_LL_PWR_LVL_NEG_6_DBM</name>
          <initializer>= -6</initializer>
          <briefdescription>
<para>ABS PWR = -6 dBm. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__common__api__definitions_1gga91c0e65f1a3de88eb7065a298981a214ad6821a0275c8477818f0e4f98dc1a545" prot="public">
          <name>CY_BLE_LL_PWR_LVL_0_DBM</name>
          <initializer>= 0</initializer>
          <briefdescription>
<para>ABS PWR = 0 dBm. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__common__api__definitions_1gga91c0e65f1a3de88eb7065a298981a214a64df54820c04032bafa65fa74787279a" prot="public">
          <name>CY_BLE_LL_PWR_LVL_MAX</name>
          <initializer>= 4</initializer>
          <briefdescription>
<para>ABS PWR = +4 dBm as per silicon. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_ble_bless_pwr_lvl_t: </bold><linebreak />BLESS Power enum reflecting power level values supported by BLESS radio.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="1678" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack.h" bodystart="1658" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack.h" line="1659" />
      </memberdef>
      <memberdef id="group__group__ble__common__api__definitions_1ga9b6da9240e1a497a77fb71b6bc870a56" kind="enum" prot="public" static="no">
        <name>cy_en_ble_bless_phy_ch_grp_id_t</name>
        <enumvalue id="group__group__ble__common__api__definitions_1gga9b6da9240e1a497a77fb71b6bc870a56a301ef23446537e0158e370fc2c14d6c5" prot="public">
          <name>CY_BLE_LL_ADV_CH_TYPE</name>
          <initializer>= 0x00u</initializer>
          <briefdescription>
<para>Advertisement channel type. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__common__api__definitions_1gga9b6da9240e1a497a77fb71b6bc870a56a9e361f0a03ce2694d20a6c0df6e339d8" prot="public">
          <name>CY_BLE_LL_CONN_CH_TYPE</name>
          <briefdescription>
<para>Connection channel type. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__common__api__definitions_1gga9b6da9240e1a497a77fb71b6bc870a56accc4b28fbfdd7c0fb5ed1500a985a42b" prot="public">
          <name>CY_BLE_LL_MAX_CH_TYPE</name>
          <briefdescription>
<para>Maximum value of the cy_en_ble_bless_phy_ch_grp_id_t type. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_ble_bless_phy_ch_grp_id_t: </bold><linebreak />BLE channel group ID.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="1692" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack.h" bodystart="1681" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack.h" line="1682" />
      </memberdef>
      <memberdef id="group__group__ble__common__api__definitions_1ga754cb8a48ead0ba6df9a0e44709c64dd" kind="enum" prot="public" static="no">
        <name>cy_en_ble_bless_wco_sca_cfg_t</name>
        <enumvalue id="group__group__ble__common__api__definitions_1gga754cb8a48ead0ba6df9a0e44709c64ddaa00fa34d1de1219c8b34a7ae9321159a" prot="public">
          <name>CY_BLE_LL_SCA_251_TO_500_PPM</name>
          <initializer>= 0x00u</initializer>
          <briefdescription>
<para>BLE WCO sleep clock accuracy 251 to 500 ppm. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__common__api__definitions_1gga754cb8a48ead0ba6df9a0e44709c64ddad82060be0c87a148b428dda8660798c2" prot="public">
          <name>CY_BLE_LL_SCA_151_TO_250_PPM</name>
          <briefdescription>
<para>BLE WCO sleep clock accuracy 151 to 250 ppm. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__common__api__definitions_1gga754cb8a48ead0ba6df9a0e44709c64dda47ebd4fb0d186990c3947603e305cae2" prot="public">
          <name>CY_BLE_LL_SCA_101_TO_150_PPM</name>
          <briefdescription>
<para>BLE WCO sleep clock accuracy 101 to 150 ppm. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__common__api__definitions_1gga754cb8a48ead0ba6df9a0e44709c64dda18fc83ce83ea7b0f10288347f0df9e28" prot="public">
          <name>CY_BLE_LL_SCA_076_TO_100_PPM</name>
          <briefdescription>
<para>BLE WCO sleep clock accuracy 76 to 100 ppm. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__common__api__definitions_1gga754cb8a48ead0ba6df9a0e44709c64dda51d22fcc912d80daa18e904314b5ff35" prot="public">
          <name>CY_BLE_LL_SCA_051_TO_075_PPM</name>
          <briefdescription>
<para>BLE WCO sleep clock accuracy 51 to 75 ppm. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__common__api__definitions_1gga754cb8a48ead0ba6df9a0e44709c64ddabae6e5e8fa6df6b107597fff4faed2b2" prot="public">
          <name>CY_BLE_LL_SCA_031_TO_050_PPM</name>
          <briefdescription>
<para>BLE WCO sleep clock accuracy 31 to 50 ppm. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__common__api__definitions_1gga754cb8a48ead0ba6df9a0e44709c64dda2a3f376ccdf651f8c622c3476442a5e9" prot="public">
          <name>CY_BLE_LL_SCA_021_TO_030_PPM</name>
          <briefdescription>
<para>BLE WCO sleep clock accuracy 21 to 30 ppm. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__common__api__definitions_1gga754cb8a48ead0ba6df9a0e44709c64dda9c8a39ddc8c8cacad46d6990d8dc4b77" prot="public">
          <name>CY_BLE_LL_SCA_000_TO_020_PPM</name>
          <briefdescription>
<para>BLE WCO sleep clock accuracy 0 to 20 ppm. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__common__api__definitions_1gga754cb8a48ead0ba6df9a0e44709c64ddaa6f7f0c54db969eb7535303e43bfb0e5" prot="public">
          <name>CY_BLE_LL_SCA_IN_PPM_INVALID</name>
          <briefdescription>
<para>BLE WCO invalid sleep clock accuracy. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_ble_bless_wco_sca_cfg_t: </bold><linebreak />BLE WCO sleep clock accuracy configuration.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="1723" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack.h" bodystart="1695" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack.h" line="1696" />
      </memberdef>
      <memberdef id="group__group__ble__common__api__definitions_1gac91a41052a1ded2df21b2bb7f5b68065" kind="enum" prot="public" static="no">
        <name>cy_en_ble_bless_eco_clk_div_t</name>
        <enumvalue id="group__group__ble__common__api__definitions_1ggac91a41052a1ded2df21b2bb7f5b68065ad8127d1c474fdf370ca57d684508b4e0" prot="public">
          <name>CY_BLE_LL_ECO_CLK_DIV_1</name>
          <initializer>= 0x00u</initializer>
          <briefdescription>
<para>Link Layer clock divider = 1. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__common__api__definitions_1ggac91a41052a1ded2df21b2bb7f5b68065af6f7f3cdb869e22b536edc1e7b0f0b24" prot="public">
          <name>CY_BLE_LL_ECO_CLK_DIV_2</name>
          <briefdescription>
<para>Link Layer clock divider = 2. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__common__api__definitions_1ggac91a41052a1ded2df21b2bb7f5b68065a32b3e354285b4550d8f8cca77de9940c" prot="public">
          <name>CY_BLE_LL_ECO_CLK_DIV_4</name>
          <briefdescription>
<para>Link Layer clock divider = 4. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__common__api__definitions_1ggac91a41052a1ded2df21b2bb7f5b68065a840c84a4bc43967258e22476a5ca852c" prot="public">
          <name>CY_BLE_LL_ECO_CLK_DIV_8</name>
          <briefdescription>
<para>Link Layer clock divider = 8. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__common__api__definitions_1ggac91a41052a1ded2df21b2bb7f5b68065a1e025a2ab317258d07357a9e24b1957d" prot="public">
          <name>CY_BLE_LL_ECO_CLK_DIV_INVALID</name>
          <briefdescription>
<para>Invalid Link Layer clock divider. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_ble_bless_eco_clk_div_t: </bold><linebreak />BLE ECO clock divider.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="1743" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack.h" bodystart="1726" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack.h" line="1727" />
      </memberdef>
      <memberdef id="group__group__ble__common__api__definitions_1gaae57bb7e226b2af3354ac37eab11f7d4" kind="enum" prot="public" static="no">
        <name>cy_en_ble_bless_state_t</name>
        <enumvalue id="group__group__ble__common__api__definitions_1ggaae57bb7e226b2af3354ac37eab11f7d4a421622bc3d636fa16c14dc13c32a62aa" prot="public">
          <name>CY_BLE_BLESS_STATE_ACTIVE</name>
          <initializer>= 0x01</initializer>
          <briefdescription>
          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__common__api__definitions_1ggaae57bb7e226b2af3354ac37eab11f7d4ac70328ade7f5933cf5786a0d0276df7b" prot="public">
          <name>CY_BLE_BLESS_STATE_EVENT_CLOSE</name>
          <briefdescription>
          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__common__api__definitions_1ggaae57bb7e226b2af3354ac37eab11f7d4aa028e042867d3a25f7e1aad395ed82dc" prot="public">
          <name>CY_BLE_BLESS_STATE_ECO_ON</name>
          <briefdescription>
          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__common__api__definitions_1ggaae57bb7e226b2af3354ac37eab11f7d4a1bc177316ae8152bc029e0bea371993f" prot="public">
          <name>CY_BLE_BLESS_STATE_ECO_STABLE</name>
          <briefdescription>
          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__common__api__definitions_1ggaae57bb7e226b2af3354ac37eab11f7d4a118ad0f6113cb45d13932e8343c3c486" prot="public">
          <name>CY_BLE_BLESS_STATE_DEEPSLEEP</name>
          <briefdescription>
          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__common__api__definitions_1ggaae57bb7e226b2af3354ac37eab11f7d4aa8944f437f2f95dfa78e63701d968e16" prot="public">
          <name>CY_BLE_BLESS_STATE_STOPPED</name>
          <briefdescription>
          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__common__api__definitions_1ggaae57bb7e226b2af3354ac37eab11f7d4aa0a2612ace43349d5ae2eb96f2a340aa" prot="public">
          <name>CY_BLE_BLESS_STATE_INVALID</name>
          <initializer>= 0xFFu</initializer>
          <briefdescription>
          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_ble_bless_state_t: </bold><linebreak />BLESS Power enum reflecting power states supported by BLESS radio.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="1908" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack.h" bodystart="1899" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack.h" line="1900" />
      </memberdef>
      <memberdef id="group__group__ble__common__api__definitions_1ga74c89de6a1357b5b7b12150e760c46d3" kind="enum" prot="public" static="no">
        <name>cy_en_ble_controller_sleep_mode_t</name>
        <enumvalue id="group__group__ble__common__api__definitions_1gga74c89de6a1357b5b7b12150e760c46d3af902f452fad0cc27746d66259a525e07" prot="public">
          <name>CY_BLE_CONTROLLER_SLEEP_MODE_SLEEP</name>
          <initializer>= 0x01u</initializer>
          <briefdescription>
          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__common__api__definitions_1gga74c89de6a1357b5b7b12150e760c46d3ad91ae244898b90a974651218182f2ef8" prot="public">
          <name>CY_BLE_CONTROLLER_SLEEP_MODE_DEEPSLEEP</name>
          <briefdescription>
          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_ble_controller_sleep_mode_t: </bold><linebreak />Sleep mode which controller core is trying to enter.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="1915" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack.h" bodystart="1911" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack.h" line="1912" />
      </memberdef>
      <memberdef id="group__group__ble__common__api__definitions_1ga9401245e7b20db19f6b735d6295a6113" kind="enum" prot="public" static="no">
        <name>cy_en_ble_to_reason_code_t</name>
        <enumvalue id="group__group__ble__common__api__definitions_1gga9401245e7b20db19f6b735d6295a6113a5c4eacaa1a1a4a397f426ceffa1a1f99" prot="public">
          <name>CY_BLE_GAP_ADV_TO</name>
          <initializer>= 0x01u</initializer>
          <briefdescription>
<para>Advertisement time set by application has expired. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__common__api__definitions_1gga9401245e7b20db19f6b735d6295a6113a7d5643d4803c97c1555c62f9358d67cd" prot="public">
          <name>CY_BLE_GAP_SCAN_TO</name>
          <briefdescription>
<para>Scan time set by application has expired. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__common__api__definitions_1gga9401245e7b20db19f6b735d6295a6113a48b4f6c426e5202480402338b137cf50" prot="public">
          <name>CY_BLE_GATT_RSP_TO</name>
          <briefdescription>
<para>GATT procedure timeout. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__common__api__definitions_1gga9401245e7b20db19f6b735d6295a6113a337fd92ce11151df7eaab75a89fe9694" prot="public">
          <name>CY_BLE_GENERIC_APP_TO</name>
          <briefdescription>
<para>Application procedure timeout. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_ble_to_reason_code_t: </bold><linebreak />Timeout reason due to BLE Stack started timers or application stated timers.</para></briefdescription>
        <detaileddescription>
<para>It is the application's responsibility to disconnect or keep the connection, depending on the type of timeout; for example, for a GATT procedure timeout: the application may choose to disconnect. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="277" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_main.h" bodystart="263" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_main.h" line="264" />
      </memberdef>
      <memberdef id="group__group__ble__common__api__definitions_1ga0d1a56cbb6ef8f0c43e50013735f1786" kind="enum" prot="public" static="no">
        <name>cy_en_ble_protocol_req_t</name>
        <enumvalue id="group__group__ble__common__api__definitions_1gga0d1a56cbb6ef8f0c43e50013735f1786a398acc7b4d1855914ae386d6bd383ee4" prot="public">
          <name>CY_BLE_PREPARED_WRITE_REQUEST</name>
          <initializer>= 0x00u</initializer>
          <briefdescription>
<para>Memory requested for prepare write request. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__common__api__definitions_1gga0d1a56cbb6ef8f0c43e50013735f1786a2587f3f52a45a84256de39e6df31f21b" prot="public">
          <name>CY_BLE_INVALID_REQUEST</name>
          <briefdescription>
<para>Invalid request. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_ble_protocol_req_t: </bold><linebreak />BLE Stack memory request type.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="288" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_main.h" bodystart="280" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_main.h" line="281" />
      </memberdef>
      <memberdef id="group__group__ble__common__api__definitions_1gacdd19ffc95628cf3e438ffa1649e9a70" kind="enum" prot="public" static="no">
        <name>cy_en_ble_phy_mask_t</name>
        <enumvalue id="group__group__ble__common__api__definitions_1ggacdd19ffc95628cf3e438ffa1649e9a70aa2adafb489e02e917e2a654419160d9f" prot="public">
          <name>CY_BLE_PHY_MASK_LE_1M</name>
          <initializer>= 0x01u</initializer>
          <briefdescription>
<para>The transmitter PHY for the connection is LE 1M. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__common__api__definitions_1ggacdd19ffc95628cf3e438ffa1649e9a70a722241a7405557ec2dc74a983da1fa1f" prot="public">
          <name>CY_BLE_PHY_MASK_LE_2M</name>
          <briefdescription>
<para>The transmitter PHY for the connection is LE 2M. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__common__api__definitions_1ggacdd19ffc95628cf3e438ffa1649e9a70a5264805e464df13ed8322b2e6129f690" prot="public">
          <name>CY_BLE_PHY_MASK_LE_CODED</name>
          <briefdescription>
<para>The transmitter PHY for the connection is LE Coded. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_ble_phy_mask_t: </bold><linebreak />PHY used for the connection.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="302" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_main.h" bodystart="291" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_main.h" line="292" />
      </memberdef>
      <memberdef id="group__group__ble__common__api__definitions_1ga0f4099b76361d0aa427d29122a36fc20" kind="enum" prot="public" static="no">
        <name>cy_en_ble_phy_no_pref_mask_t</name>
        <enumvalue id="group__group__ble__common__api__definitions_1gga0f4099b76361d0aa427d29122a36fc20aad6810a7b6da7a6ca34bbeac705f1aec" prot="public">
          <name>CY_BLE_PHY_NO_PREF_MASK_NONE</name>
          <initializer>= 0x00u</initializer>
          <briefdescription>
<para>All PHY settings are preferred by the HOST. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__common__api__definitions_1gga0f4099b76361d0aa427d29122a36fc20a9dfde08f6f9ca81a8d3f4dfd71f08451" prot="public">
          <name>CY_BLE_PHY_NO_PREF_MASK_TX</name>
          <briefdescription>
<para>Host has no preference for TX PHY. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__common__api__definitions_1gga0f4099b76361d0aa427d29122a36fc20ab672f6ec3916060c9589c111c54312a1" prot="public">
          <name>CY_BLE_PHY_NO_PREF_MASK_RX</name>
          <briefdescription>
<para>Host has no preference for RX PHY. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__common__api__definitions_1gga0f4099b76361d0aa427d29122a36fc20a2c123358d684dc7464c947e854e2c45c" prot="public">
          <name>CY_BLE_PHY_NO_PREF_MASK_BOTH_TX_RX</name>
          <briefdescription>
<para>Host has no preference for both TX &amp; RX PHY. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_ble_phy_no_pref_mask_t: </bold><linebreak />PHY preference masks used for <ref kindref="member" refid="group__group__ble__common__2_m_b_p_s__api__functions_1ga1ab7f2b6b620562d022dfc0c8a236a77">Cy_BLE_SetPhy()</ref> function.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="320" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_main.h" bodystart="306" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_main.h" line="307" />
      </memberdef>
      <memberdef id="group__group__ble__common__api__definitions_1ga06edcbcf02629aa3a9f794fa32e74b60" kind="enum" prot="public" static="no">
        <name>cy_en_ble_privacy_mode_t</name>
        <enumvalue id="group__group__ble__common__api__definitions_1gga06edcbcf02629aa3a9f794fa32e74b60aa92d564a096de513de17ca110123fc61" prot="public">
          <name>CY_BLE_PRIVACY_MODE_NETWORK</name>
          <initializer>= 0x00u</initializer>
          <briefdescription>
          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__common__api__definitions_1gga06edcbcf02629aa3a9f794fa32e74b60a10cba4a80edade39201063a78108a6f7" prot="public">
          <name>CY_BLE_PRIVACY_MODE_DEVICE</name>
          <briefdescription>
          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_ble_privacy_mode_t: </bold><linebreak />Privacy modes used for <ref kindref="member" refid="group__group__ble__common___privacy__api__functions_1gab05e6757dba80c0e3f530de5b0e185bd">Cy_BLE_SetPrivacyMode()</ref> function.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="330" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_main.h" bodystart="324" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_main.h" line="325" />
      </memberdef>
      </sectiondef>
      <sectiondef kind="typedef">
      <memberdef id="group__group__ble__common__api__definitions_1ga45e0d2fb731783271b0a582b5bae4be2" kind="typedef" prot="public" static="no">
        <type>void(*</type>
        <definition>typedef void(* cy_ble_app_ev_cb_t) (cy_en_ble_event_t event, void *evParam)</definition>
        <argsstring>)(cy_en_ble_event_t event, void *evParam)</argsstring>
        <name>cy_ble_app_ev_cb_t</name>
        <briefdescription>
<para>Event callback function prototype to receive events from BLE Stack. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack.h" bodystart="1355" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack.h" line="1355" />
      </memberdef>
      <memberdef id="group__group__ble__common__api__definitions_1ga153d929b7fc525f53f9d29fba0e34179" kind="typedef" prot="public" static="no">
        <type>uint16_t(*</type>
        <definition>typedef uint16_t(* cy_ble_hci_rx_cb_t) (uint8_t type, uint8_t *packet, uint8_t length)</definition>
        <argsstring>)(uint8_t type, uint8_t *packet, uint8_t length)</argsstring>
        <name>cy_ble_hci_rx_cb_t</name>
        <briefdescription>
<para>callback function prototype to receive DTM packet from Controller </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_main.h" bodystart="338" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_main.h" line="338" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Contains the common definitions and data structures used in the BLE. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
  </compounddef>
</doxygen>